/***************************************************************
 * Name:      AddRemoveCtrl.h
 * Purpose:   Defines Dialog AddRemoveCtrl
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-04-23
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef ADDREMOVECTRL_H
#define ADDREMOVECTRL_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/addremovectrl.h>
#include <wx/listctrl.h>
#include "datos.h"

class MiAdaptor: public wxAddRemoveAdaptor {
public:
    explicit MiAdaptor(wxListCtrl* lbox) : m_lbox(lbox) {}

    wxWindow* GetItemsCtrl() const wxOVERRIDE { return m_lbox; }

    bool CanAdd() const wxOVERRIDE {
        return (m_lbox->GetItemCount()<15);
    }
    bool CanRemove() const wxOVERRIDE {
        long item = m_lbox->GetNextItem(-1, wxLIST_NEXT_ALL, wxLIST_STATE_SELECTED);
        return (item != -1 && item > 6);
    }
    void OnAdd() wxOVERRIDE {
        long item = m_lbox->GetItemCount();
        m_lbox->InsertItem(item, "nuevo");
        m_lbox->EditLabel(item);
    }
    void OnRemove() wxOVERRIDE {
        long item = m_lbox->GetNextItem(-1, wxLIST_NEXT_ALL, wxLIST_STATE_SELECTED);
        m_lbox->DeleteItem(item);
    }

private:
    wxListCtrl* m_lbox;
};

class AddRemoveCtrl : public wxDialog
{
    protected:
        enum
        {
            idList = 1000,
            idAddRemove,
            idlistbox
        };
        wxAddRemoveCtrl* control;
        wxListCtrl* lbox;
        MiAdaptor* adaptor;
        datosItems& datos;

    public:
        AddRemoveCtrl(wxWindow *wnd, datosItems &dat);
        virtual ~AddRemoveCtrl();
        void OnOk(wxCommandEvent& event);

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // ADDREMOVECTRL_H
