/***************************************************************
 * Name:      EditableListBox.h
 * Purpose:   Defines Dialog EditableListBox
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-04-21
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef EDITABLELISTBOX_H
#define EDITABLELISTBOX_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/editlbox.h>

#include "datos.h"

class EditableListBox : public wxDialog
{
    protected:
        enum
        {
            idList = 1000,
        };
        wxEditableListBox* lista;
        datosItems& datos;

    public:
        EditableListBox(wxWindow *wnd, datosItems &dat);
        virtual ~EditableListBox();
        void OnOk(wxCommandEvent& event);

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // EDITABLELISTBOX_H
