/***************************************************************
 * Name:      RearrangeList.h
 * Purpose:   Defines Dialog RearragbeList
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-04-20
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef REARRANGELIST_H
#define REARRANGELIST_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/rearrangectrl.h>

#include "datos.h"

class RearrangeList : public wxDialog
{
    protected:
        enum
        {
            idList = 1000,
            idButtonUp,
            idButtonDown
        };
        wxRearrangeList* lista;
        wxButton* btUp;
        wxButton* btDown;
        datosItems& datos;

    public:
        RearrangeList(wxWindow *wnd, datosItems &dat);
        virtual ~RearrangeList();
        void OnOk(wxCommandEvent& event);
        void OnButtonUp(wxCommandEvent& event);
        void OnButtonDown(wxCommandEvent& event);

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // REARRANGELIST_H
