/***************************************************************
 * Name:      AddRemoveCtrl.cpp
 * Purpose:   Code for Dialog AddRemoveCtrl
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2025-04-23
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#include "AddRemoveCtrl.h"

wxBEGIN_EVENT_TABLE(AddRemoveCtrl, wxDialog)
    EVT_CLOSE(AddRemoveCtrl::OnClose)
    EVT_BUTTON(wxID_OK, AddRemoveCtrl::OnOk)
wxEND_EVENT_TABLE()

AddRemoveCtrl::AddRemoveCtrl(wxWindow *wnd, datosItems &dat)
    : wxDialog(wnd, -1, _T("wxAddRemoveCtrl")), datos(dat)
{
    wxBoxSizer *boxVertical;

    boxVertical = new wxBoxSizer(wxVERTICAL);

    control = new wxAddRemoveCtrl(this, idAddRemove, wxDefaultPosition, wxSize(100,150));
    lbox = new wxListCtrl(control, idlistbox, wxDefaultPosition, wxDefaultSize, wxLC_REPORT | wxLC_SINGLE_SEL | wxLC_EDIT_LABELS | wxLC_NO_HEADER);
    lbox->InsertColumn(0, _T(""));
    lbox->SetColumnWidth(0, 100);

    for(size_t i=0; i<datos.items.size(); i++) {
        lbox->InsertItem(i, datos.items[i]);
    }
    adaptor = new MiAdaptor(lbox);
    control->SetAdaptor(adaptor);
    boxVertical->Add(control, wxSizerFlags().Expand().Border());


    boxVertical->Add(CreateStdDialogButtonSizer(wxOK | wxCANCEL), wxSizerFlags().Border());
    SetSizerAndFit(boxVertical);
}

AddRemoveCtrl::~AddRemoveCtrl()
{
    //dtor
}

void AddRemoveCtrl::OnClose(wxCloseEvent& event) {
    Destroy();
}

void AddRemoveCtrl::OnOk(wxCommandEvent& event) {
    datos.items.Clear();
    for(long i=0; i<lbox->GetItemCount(); i++) {
        datos.items.push_back(lbox->GetItemText(i));
    }
    datos.orden.Clear();
    for(size_t i=0; i<datos.items.GetCount(); i++) {
        datos.orden.push_back(~i);
    }
    EndModal(wxID_OK);
}

