/***************************************************************
 * Name:      EditableListBox.cpp
 * Purpose:   Code for Dialog EditableListBox
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2025-04-21
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#include "EditableListBox.h"

wxBEGIN_EVENT_TABLE(EditableListBox, wxDialog)
    EVT_CLOSE(EditableListBox::OnClose)
    EVT_BUTTON(wxID_OK, EditableListBox::OnOk)
wxEND_EVENT_TABLE()

EditableListBox::EditableListBox(wxWindow *wnd, datosItems &dat)
    : wxDialog(wnd, -1, _T("wxEditableListBox")), datos(dat)
{
    wxBoxSizer *boxVertical;

    boxVertical = new wxBoxSizer(wxVERTICAL);

    lista = new wxEditableListBox(this, idList, "&Editar", wxDefaultPosition, wxDefaultSize);
    boxVertical->Add(lista, wxSizerFlags().Expand().Border());

    boxVertical->Add(CreateStdDialogButtonSizer(wxOK | wxCANCEL), wxSizerFlags().Border());
    SetSizerAndFit(boxVertical);
    lista->SetStrings(datos.items);
}

EditableListBox::~EditableListBox()
{
    //dtor
}

void EditableListBox::OnClose(wxCloseEvent& event) {
    Destroy();
}

void EditableListBox::OnOk(wxCommandEvent& event) {
    lista->GetStrings(datos.items);
    // Obtener el array orden
    datos.orden.Clear();
    for(size_t i = 0; i<datos.items.GetCount(); i++) {
        datos.orden.push_back(~i);
    }
    EndModal(wxID_OK);
}

