/***************************************************************
 * Name:      RearrangeCtrl.cpp
 * Purpose:   Code for Dialog RearrangeCtrl
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2025-04-20
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#include "RearrangeCtrl.h"

wxBEGIN_EVENT_TABLE(RearrangeCtrl, wxDialog)
    EVT_CLOSE(RearrangeCtrl::OnClose)
    EVT_BUTTON(wxID_OK, RearrangeCtrl::OnOk)
wxEND_EVENT_TABLE()

RearrangeCtrl::RearrangeCtrl(wxWindow *wnd, datosItems &dat)
    : wxDialog(wnd, -1, _T("wxRearrangeCtrl")), datos(dat)
{
    wxBoxSizer *boxVertical;

    boxVertical = new wxBoxSizer(wxVERTICAL);

    lista = new wxRearrangeCtrl(this, idList, wxDefaultPosition, wxDefaultSize, datos.orden, datos.items);
    boxVertical->Add(lista, wxSizerFlags().Expand().Border());

    boxVertical->Add(CreateStdDialogButtonSizer(wxOK | wxCANCEL), wxSizerFlags().Border());
    SetSizerAndFit(boxVertical);

}

RearrangeCtrl::~RearrangeCtrl()
{
    //dtor
}

void RearrangeCtrl::OnClose(wxCloseEvent& event) {
    Destroy();
}

void RearrangeCtrl::OnOk(wxCommandEvent& event) {
    datos.orden = lista->GetList()->GetCurrentOrder();
    EndModal(wxID_OK);
}

