/***************************************************************
 * Name:      RearrangeList.cpp
 * Purpose:   Code for Dialog RearrangeList
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2025-04-20
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#include "RearrangeList.h"

wxBEGIN_EVENT_TABLE(RearrangeList, wxDialog)
    EVT_CLOSE(RearrangeList::OnClose)
    EVT_BUTTON(wxID_OK, RearrangeList::OnOk)
    EVT_BUTTON(idButtonUp, RearrangeList::OnButtonUp)
    EVT_BUTTON(idButtonDown, RearrangeList::OnButtonDown)
wxEND_EVENT_TABLE()

RearrangeList::RearrangeList(wxWindow *wnd, datosItems &dat)
    : wxDialog(wnd, -1, _T("wxRearrangeList")), datos(dat)
{
    wxBoxSizer *boxVertical;
    wxBoxSizer *boxHorizontal;

    boxVertical = new wxBoxSizer(wxVERTICAL);

    lista = new wxRearrangeList(this, idList, wxDefaultPosition, wxDefaultSize, datos.orden, datos.items);
    boxVertical->Add(lista, wxSizerFlags().Expand().Border());

    boxHorizontal = new wxBoxSizer(wxHORIZONTAL);
    btUp = new wxButton(this, idButtonUp, "Subir");
    boxHorizontal->Add(btUp);
    btDown = new wxButton(this, idButtonDown, "Bajar");
    boxHorizontal->Add(btDown);
    boxVertical->Add(boxHorizontal, wxSizerFlags().	Center().Border());

    boxVertical->Add(CreateStdDialogButtonSizer(wxOK | wxCANCEL), wxSizerFlags().Border());
    SetSizerAndFit(boxVertical);

}

RearrangeList::~RearrangeList()
{
    //dtor
}

void RearrangeList::OnClose(wxCloseEvent& event) {
    Destroy();
}

void RearrangeList::OnOk(wxCommandEvent& event) {
    datos.orden = lista->GetCurrentOrder();
    EndModal(wxID_OK);
}

void RearrangeList::OnButtonUp(wxCommandEvent& event) {
    if(lista->CanMoveCurrentUp()) lista->MoveCurrentUp();
}

void RearrangeList::OnButtonDown(wxCommandEvent& event) {
    if(lista->CanMoveCurrentDown()) lista->MoveCurrentDown();
}
