/***************************************************************
 * Name:      wx019Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2025-04-20
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef WX019MAIN_H
#define WX019MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/editlbox.h>
#include "datos.h"
#include "wx019App.h"

class wx019Frame: public wxFrame
{
    public:
        wx019Frame(wxFrame *frame, const wxString& title);
        ~wx019Frame();
    private:
        enum
        {
            idMenuQuit = 1000,
            idMenuAbout,
            idMenuRearrangeList,
            idMenuRearrangeCtrl,
            idMenuEditableListBox,
            idMenuAddRemoveCtrl
        };
        datosItems datos;
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnRearrangeList(wxCommandEvent& event);
        void OnRearrangeCtrl(wxCommandEvent& event);
        void OnEditableListBox(wxCommandEvent& event);
        void OnAddRemoveCtrl(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};


#endif // WX019MAIN_H
